%define module_name	hpt
%define module_version	2004.12.26
%define module_release	alt1

#### MODULE SOURCES ####
Name:          kernel-source-%module_name-%module_version
Version:       %module_version
Release:       %module_release
Summary:       HighPoint Technologies IDE/RAID drivers - module sources
License:       Distributable
Group:         Development/Kernel
URL:           http://www.highpoint-tech.com/
BuildArch:     noarch

Source0: kernel-source-hpt-Makefile

Source1: hpt302-opensource-v1.2.tgz
Source2: hpt371-opensource-v1.01.tgz
Source3: hpt374-opensource-v2.12.tgz
Source4: hpt3xx-opensource-v2.0.tgz
Source5: rr182x-openbuild-v1.11.tgz
Source6: r100-openbuild-v1.0.tgz
Source7: r1540-openbuild-v1.0.tgz

Patch2: hpt371-1.01-alt-build.patch
Patch3: hpt374-2.12-alt-build.patch
Patch4: hpt3xx-2.0-alt-build.patch

Packager:      Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
HighPoint Technologies IDE/RAID drivers module sources for Linux kernel.

%prep
%setup -T -c -n %name

%__mkdir hpt302
%__tar -xzf %SOURCE1 -C hpt302

%__mkdir hpt371
%__tar -xzf %SOURCE2 -C hpt371

%__mkdir hpt374
%__tar -xzf %SOURCE3 -C hpt374

%__mkdir hpt3xx
%__tar -xzf %SOURCE4 -C hpt3xx

%__mkdir rr182x
%__tar -xzf %SOURCE5 -C rr182x

%__mkdir r100
%__tar -xzf %SOURCE6 -C r100

%__mkdir r1540
%__tar -xzf %SOURCE7 -C r1540

%__install -p -m644 %SOURCE0 ./Makefile

%setup -D -T -n %name

%patch2 -p0
%patch3 -p0
%patch4 -p0

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
pushd ..
%__tar -c kernel-source-%module_name-%module_version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.26-alt1
- Updated hpt302 driver (HPT302/302N) to version 1.2.
- Updated hpt374 driver (HPT374 UDMA/ATA133 RAID, RocketRAID 154x/1640 SATA) to
  version 2.12.
- Updated hpt3xx driver (HPT370/370A/372/372A/372N/302/302N ATA RAID,
  RocketRAID 1520 SATA RAID) to version 2.0.  Two versions of this module are
  built: hpt3xx (for PATA controllers) and hpt3xx_sata (for SATA controllers).
- Updated rr182x (hptmv) driver (RocketRAID 182x SATA RAID) to version 1.11.
- Added r100 driver version 1.0 for Rocket100 controller (hptr100 module).
- Added r1540 driver version 1.0 for Rocket 1540 SATA controller (hptr1540
  module).

* Sun Apr 04 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.04-alt1
- Updated hpt302 driver (HPT302/302N) to version 1.1 (fully opensource now).
- Updated hpt3xx driver (HPT370/370A/372/372A/372N ATA RAID, RocketRAID 1520
  S-ATA RAID) to version 1.35.
- Added rr182x driver version 1.02 for RocketRAID 182x S-ATA RAID (hptmv
  module).

* Fri Oct 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt1
- Initial release.

